//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of CodePrincess: A CPCtelera game made for #bitbitjam3
//  Copyright (C) 2016 ronaldo / Fremos / Cheesetea / ByteRealms (@FranGallegoBR)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>

#include "sprites/hero.h"
#include "sprites/cartel.h"
#include "sprites/tiles.h"
#include "music/prueba.h"




//void interrupcion();
void interruptHandler();

void inicializar(){
   cpct_waitVSYNC(); 

   cpct_disableFirmware();
   cpct_setVideoMode(0);
   cpct_setBorder(HW_BLACK);  
   cpct_setPalette(g_palette, 16); 
   cpct_etm_setTileset2x4(g_tileset);
   cpct_drawSprite(g_cartel_0, cpctm_screenPtr(CPCT_VMEM_START,  0, 0), G_CARTEL_0_W, G_CARTEL_0_H);
   cpct_drawSprite(g_cartel_1, cpctm_screenPtr(CPCT_VMEM_START, 40, 0), G_CARTEL_0_W, G_CARTEL_0_H);

   // Initialize Music
   cpct_akp_musicInit(g_musica);
   //cpct_akp_SFXInit  (g_musica);
   cpct_setInterruptHandler ( interruptHandler );
   //cpct_setInterruptHandler ( interrupcion ); 
   //cpct_akp_musicInit(G_song);
}